DMXDesktopAttributes(3)

NAME
DMXGetDesktopAttributes - determine global bounding box

SYNOPSIS
#include <X11/extensions/dmxext.h>

Bool DMXGetDesktopAttributes(Display *dpy,
                             DMXDesktopAttributes *attr);

DESCRIPTION
DMXGetDesktopAttributes() returns information about the desktop in DMXDesktopAttributes:

typedef struct {
    unsigned int width;
    unsigned int height;
    int          shiftX;
    int          shiftY;
} DMXDesktopAttributes;

The size of the global bounding box is given in width, and height. The shiftX and shiftY values will always be 0. The global bounding box is computed whether or not Xinerama is active, but it is only useful when using Xinerama.

The global bounding box used by Xdmx(1) may be larger than the Xinerama screen size because of information in the configuration file.

RETURN VALUE
DMXGetDesktopAttributes() returns True unless there is a protocol error.

SEE ALSO
DMXChangeDesktopAttributes(3), DMX(3), Xdmx(1)